This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 469511 - Compiz and KMS decrease framerate fullscreen video
Compiz and KMS decrease framerate fullscreen video
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 15:22 EDT by Jeroen de Haas
Modified: 2009-12-18 01:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My Xorg.0.log (76.58 KB, text/plain)
2008-11-01 15:24 EDT, Jeroen de Haas
no flags Details

  None (edit)
Description Jeroen de Haas 2008-11-01 15:22:21 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.2) Gecko/20080528 Fedora/2.24.1-1.fc10 Epiphany/2.22 Firefox/3.0

Description of problem:
When watching HD video material in full screen, with desktop effects enabled and kernel based mode setting, the frame rate is laggy. This problem does not occur when compiz or kernel based mode setting is disabled. I have used Totem to play the videos with a Radeon Mobility X1400.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-38.fc10.i38
compiz-0.7.6-17.fc10.i386
xorg-x11-server-Xorg-1.5.2-10.fc10.i386

Reproducible: Always

Steps to Reproduce:
1. Boot Fedora Rawhide using Kernel Based Mode Setting
2. Enable desktop effects
3. Play 720p HD video in fullscreen
Actual Results:  
The video framerate is too low.

Expected Results:  
The video should play as normal

I could only test this bug using a Radeon Mobility X1400, with a Core 2 Duo T7200 with 2GB RAM
Comment 1 Jeroen de Haas 2008-11-01 15:24:05 EDT
Created attachment 322179 [details]
My Xorg.0.log
Comment 2 Bug Zapper 2008-11-25 23:37:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:43:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:43:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.